org.eclipse.graphiti.palette.impl

## Class AbstractPaletteToolEntry

- java.lang.Object
- - org.eclipse.graphiti.palette.impl.AbstractPaletteEntry
  - - org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry

All Implemented Interfaces:
  ICreationToolEntry, IPaletteEntry, IToolEntry

Direct Known Subclasses:
  ConnectionCreationToolEntry, ObjectCreationToolEntry

    public abstract class AbstractPaletteToolEntry
    extends AbstractPaletteEntry
    implements ICreationToolEntry

The Class AbstractPaletteToolEntry.

### Constructor Summary

Constructors
Constructor and Description
`AbstractPaletteToolEntry(java.lang.String label, java.lang.String description, java.lang.String iconId, java.lang.String largeIconId)` Create a new `AbstractPaletteToolEntry`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Gets the description.
`java.util.List<IFeature>` `getFeatures()` Gets the features.
`java.lang.String` `getLargeIconId()` Gets the large icon id.

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteEntry

`getIconId, getLabel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Constructor Detail

#### AbstractPaletteToolEntry

    public AbstractPaletteToolEntry(java.lang.String label,
                                    java.lang.String description,
                                    java.lang.String iconId,
                                    java.lang.String largeIconId)

Create a new `AbstractPaletteToolEntry`.

Parameters:
  `label` - the label
  `description` - the description
  `iconId` - the icon id
  `largeIconId` - the large icon id

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `ICreationToolEntry`
Gets the description.

Specified by:
  `getDescription` in interface `ICreationToolEntry`
Returns:
  the description

#### getFeatures

    public java.util.List<IFeature> getFeatures()

Gets the features.

Returns:
  the features

#### getLargeIconId

    public java.lang.String getLargeIconId()

Description copied from interface: `ICreationToolEntry`
Gets the large icon id.

Specified by:
  `getLargeIconId` in interface `ICreationToolEntry`
Returns:
  the large icon id